      SUBROUTINE MOVETEXT (A,ANS)
      character*40 A
      integer*1 ANS(1)
      j=1
      DO while(j.le.30.and.a(j:j).ne.0)
        ANS(J)=A(J:J)
        j=j+1
      enddo
      ans(J)=0
      RETURN
      END

      SUBROUTINE MOVEBACK (A,ANS)
      character*40 A
      integer*1 ANS(1)
      j=1
      DO while(j.le.30.and.ans(j).ne.0)
        A(J:J)=ANS(J)
        j=j+1
      enddo
      a(j:J)=0
      RETURN
      END
